* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background: #111;
    color: white;
    font-family: Arial, sans-serif;
}


/* NAVIGATION */

.navbar {
    height: 90px;

    display: flex;
    align-items: center;
    justify-content: space-between;

    padding: 0 8%;
}

.logo {
    color: white;
    text-decoration: none;

    font-size: 28px;
    font-weight: 900;
}

.nav-links {
    display: flex;
    gap: 40px;
}

.nav-links a {
    color: white;
    text-decoration: none;

    font-size: 14px;
}


/* PAGE */

.skills-page {
    min-height: calc(100vh - 90px);

    padding: 100px 8%;
}

.small-title {
    font-size: 13px;
    letter-spacing: 4px;
    color: #888;

    margin-bottom: 20px;
}

h1 {
    font-size: clamp(50px, 7vw, 100px);
    margin-bottom: 20px;
}

.description {
    color: #999;
    font-size: 18px;

    max-width: 500px;

    margin-bottom: 70px;
}


/* SKILLS */

.skills-grid {
    display: grid;

    grid-template-columns: repeat(3, 1fr);

    gap: 20px;

    max-width: 1100px;
    margin-top: 50px;
}

.skill-card {
    border: 1px solid #333;

    padding: 35px;

    min-height: 180px;

    transition: 0.3s;
}

.skill-card:hover {
    background: white;
    color: black;

    transform: translateY(-5px);
}

.skill-card h2 {
    margin-bottom: 15px;
}

.skill-card p {
    color: #888;
}

.skill-card:hover p {
    color: #444;
}

@media (max-width: 800px) {
    .skills-grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 500px) {
    .skills-grid {
        grid-template-columns: 1fr;
    }
}

.back-button {
    display: inline-block;

    color: rgb(255, 255, 255);
    text-decoration: none;

    font-size: 16px;
    font-weight: 600;

    margin-bottom: 50px;

    transition: 0.3s;
}

.back-button:hover {
    transform: translateX(-5px);
}
/* =========================
   PAGE TRANSITION
========================= */

body {
    opacity: 0;
    animation: pageFadeIn 0.6s ease forwards;
}

@keyframes pageFadeIn {
    from {
        opacity: 0;
        transform: translateY(10px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}


body.page-exit {
    animation: pageFadeOut 0.4s ease forwards;
}

@keyframes pageFadeOut {
    from {
        opacity: 1;
        transform: translateY(0);
    }

    to {
        opacity: 0;
        transform: translateY(-10px);
    }
}